Summary:	Networked grep
Summary(pl):	Sieciowy grep
Name:		ngrep
Version:	1.41
Release:	1
License:	Freeware
Group:		Applications/Networking
Group(de):	Applikationen/Netzwerkwesen
Group(pl):	Aplikacje/Sieciowe
Source0:	http://prdownloads.sf.net/ngrep/%{name}-%{version}.tar.bz2
URL:		http://ngrep.sourceforge.net/
BuildRequires:	autoconf
#BuildRequires:	libpcap-devel
BuildRoot:	/var/tmp/%{name}-%{version}-root-%(id -u -n)

%description
Ngrep strives to provide most of GNU grep's common features, applying
them to the network layer. ngrep is a pcap-aware tool that will allow
you to specify extended regular expressions to match against data
payloads of packets. It currently recognizes TCP and UDP across
ethernet, ppp and slip interfaces, and understands bpf filter logic in
the same fashion as more common packet sniffing tools, like tcpdump
and snoop.

%description -l pl
Ngrep prbuje wypeni zadania stawiane grep-owi, w odniesieniu do
poziomu sieci. Ngrep korzysta z biblioteki pcap, pozwala na
korzystanie z wyrae regularnych zastosowanych do pakietw czy
kawakw danych. Obecnie obrabia pakiety TCP i UDP przychodzce na
interfejsy ethernet, ppp i slip. Ngrep zna zasady filtrowania bpf w
takim samym stylu jak czciej uywane pakiety typu tpcdump czy snoop.

%prep
%setup -q -n %{name}-%{version}

%build
aclocal
autoconf
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install ngrep $RPM_BUILD_ROOT%{_sbindir}
install ngrep.8 $RPM_BUILD_ROOT%{_mandir}/man8

#gzip -9nf BUGS CHANGES README LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
#%doc *.gz
%doc BUGS CHANGES README LICENSE
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*

%changelog
* Thu Feb 26 2004 William Stearns <wstearns@pobx.com>
- Updated to 0.41

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ngrep.spec,v $
Revision 1.9  2001/10/28 10:03:52  misiek
- updated to 0.40

Revision 1.8  2001/08/18 21:43:45  kloczek
- added autoconf to BuildRequires.

Revision 1.7  2001/08/18 20:43:40  roman
- adapted to new automake
- added ngrep-time_h.patch to include <time.h> in ngrep.c

Revision 1.6  2001/07/19 17:28:43  roman
- changed %{__install} to install

Revision 1.5  2001/03/15 06:26:47  kloczek
- release 2.

Revision 1.4  2001/03/08 08:43:08  roman
- changed License: GPL to License: Freeware
- added COPYRIGHT to docs

Revision 1.2  2001/03/07 16:19:22  kloczek
- cosmetics.

Revision 1.1  2001/03/07 16:15:58  roman
- initial release; network grep program
